<?php
/**
 * Template part for displaying a pagination
 *
 * @package code4rest
 */

namespace Code4rest;

the_posts_pagination(
	apply_filters(
		'code4rest_pagination_args',
		array(
			'mid_size'           => 2,
			'prev_text'          => '<span class="screen-reader-text">' . __( 'Previous Page', 'code4rest' ) . '</span>' . code4rest()->get_icon( 'arrow-left', _x( 'Previous', 'previous set of archive results', 'code4rest' ) ),
			'next_text'          => '<span class="screen-reader-text">' . __( 'Next Page', 'code4rest' ) . '</span>' . code4rest()->get_icon( 'arrow-right', _x( 'Next', 'next set of archive results', 'code4rest' ) ),
			'screen_reader_text' => __( 'Page navigation', 'code4rest' ),
		)
	)
);
