<?php
/**
 * Template part for displaying the header Social Modual
 *
 * @package code4rest
 */

namespace Code4rest;

$align        = ( code4rest()->sub_option( 'footer_navigation_align', 'desktop' ) ? code4rest()->sub_option( 'footer_navigation_align', 'desktop' ) : 'default' );
$tablet_align = ( code4rest()->sub_option( 'footer_navigation_align', 'tablet' ) ? code4rest()->sub_option( 'footer_navigation_align', 'tablet' ) : 'default' );
$mobile_align = ( code4rest()->sub_option( 'footer_navigation_align', 'mobile' ) ? code4rest()->sub_option( 'footer_navigation_align', 'mobile' ) : 'default' );

$valign        = ( code4rest()->sub_option( 'footer_navigation_vertical_align', 'desktop' ) ? code4rest()->sub_option( 'footer_navigation_vertical_align', 'desktop' ) : 'default' );
$tablet_valign = ( code4rest()->sub_option( 'footer_navigation_vertical_align', 'tablet' ) ? code4rest()->sub_option( 'footer_navigation_vertical_align', 'tablet' ) : 'default' );
$mobile_valign = ( code4rest()->sub_option( 'footer_navigation_vertical_align', 'mobile' ) ? code4rest()->sub_option( 'footer_navigation_vertical_align', 'mobile' ) : 'default' );

?>
<div class="footer-widget-area widget-area site-footer-focus-item footer-navigation-wrap content-align-<?php echo esc_attr( $align ); ?> content-tablet-align-<?php echo esc_attr( $tablet_align ); ?> content-mobile-align-<?php echo esc_attr( $mobile_align ); ?> content-valign-<?php echo esc_attr( $valign ); ?> content-tablet-valign-<?php echo esc_attr( $tablet_valign ); ?> content-mobile-valign-<?php echo esc_attr( $mobile_valign ); ?> footer-navigation-layout-stretch-<?php echo ( code4rest()->option( 'footer_navigation_stretch' ) ? 'true' : 'false' ); ?>" data-section="code4rest_customizer_footer_navigation">
	<div class="footer-widget-area-inner footer-navigation-inner">
		<?php
		/**
		 * Code4rest Footer Navigation
		 *
		 * Hooked Code4rest\footer_navigation
		 */
		do_action( 'code4rest_footer_navigation' );
		?>
	</div>
</div><!-- data-section="footer_navigation" -->
