<?php
/**
 * Template part for displaying the Footer Social Module
 *
 * @package code4rest
 */

namespace Code4rest;

$align        = ( code4rest()->sub_option( 'footer_social_align', 'desktop' ) ? code4rest()->sub_option( 'footer_social_align', 'desktop' ) : 'default' );
$tablet_align = ( code4rest()->sub_option( 'footer_social_align', 'tablet' ) ? code4rest()->sub_option( 'footer_social_align', 'tablet' ) : 'default' );
$mobile_align = ( code4rest()->sub_option( 'footer_social_align', 'mobile' ) ? code4rest()->sub_option( 'footer_social_align', 'mobile' ) : 'default' );

$valign        = ( code4rest()->sub_option( 'footer_social_vertical_align', 'desktop' ) ? code4rest()->sub_option( 'footer_social_vertical_align', 'desktop' ) : 'default' );
$tablet_valign = ( code4rest()->sub_option( 'footer_social_vertical_align', 'tablet' ) ? code4rest()->sub_option( 'footer_social_vertical_align', 'tablet' ) : 'default' );
$mobile_valign = ( code4rest()->sub_option( 'footer_social_vertical_align', 'mobile' ) ? code4rest()->sub_option( 'footer_social_vertical_align', 'mobile' ) : 'default' );
if ( ! wp_style_is( 'code4rest-header', 'enqueued' ) ) {
	wp_enqueue_style( 'code4rest-header' );
}
?>
<div class="footer-widget-area widget-area site-footer-focus-item footer-social content-align-<?php echo esc_attr( $align ); ?> content-tablet-align-<?php echo esc_attr( $tablet_align ); ?> content-mobile-align-<?php echo esc_attr( $mobile_align ); ?> content-valign-<?php echo esc_attr( $valign ); ?> content-tablet-valign-<?php echo esc_attr( $tablet_valign ); ?> content-mobile-valign-<?php echo esc_attr( $mobile_valign ); ?>" data-section="code4rest_customizer_footer_social">
	<div class="footer-widget-area-inner footer-social-inner">
		<?php
		/**
		 * Code4rest Footer Social
		 *
		 * Hooked Code4rest\footer_social
		 */
		do_action( 'code4rest_footer_social' );
		?>
	</div>
</div><!-- data-section="footer_social" -->
