<?php
/**
 * Template part for displaying a post
 *
 * @package code4rest
 */

namespace Code4rest;

?>

<article <?php post_class( 'entry content-bg loop-entry' ); ?>>
	<?php
		/**
		 * Hook for entry thumbnail.
		 *
		 * @hooked Code4rest\loop_entry_thumbnail
		 */
		do_action( 'code4rest_loop_entry_thumbnail' );
	?>
	<div class="entry-content-wrap">
		<?php
		/**
		 * Hook for entry content.
		 *
		 * @hooked Code4rest\loop_entry_header - 10
		 * @hooked Code4rest\loop_entry_summary - 20
		 * @hooked Code4rest\loop_entry_footer - 30
		 */
		do_action( 'code4rest_loop_entry_content' );
		?>
	</div>
</article>
